summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorMarc Cornellà <marc.cornella@live.com>2016-08-09 02:28:47 +0200
committerMarc Cornellà <marc.cornella@live.com>2019-06-03 17:18:22 +0200
commit73ef051aaecd5a63b84585bf67e263642660abb4 (patch)
treed8fcc3e139f1ba6ef6f65e6e356471bfab897008 /tools
parent9a832cccef79084e02028ca2fa8b021817256ad4 (diff)
downloadzsh-73ef051aaecd5a63b84585bf67e263642660abb4.tar.gz
zsh-73ef051aaecd5a63b84585bf67e263642660abb4.tar.bz2
zsh-73ef051aaecd5a63b84585bf67e263642660abb4.zip
installer: use tabs to allow future heredocs
This will allow us to use tab stripping heredocs with `<<-'. See http://www.tldp.org/LDP/abs/html/here-docs.html#EX71A Add editorconfig file to enforce this style. See http://editorconfig.org for more information.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/install.sh194
1 files changed, 97 insertions, 97 deletions
diff --git a/tools/install.sh b/tools/install.sh
index 5c5419b17..b1327af41 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -3,116 +3,116 @@ set -e
# Test command existence (POSIX compatible)
command_exists() {
- command -v "$@" >/dev/null 2>&1
+ command -v "$@" >/dev/null 2>&1
}
main() {
- # Use colors, but only if connected to a terminal, and that terminal
- # supports them.
- if command_exists tput; then
- ncolors=$(tput colors)
- fi
- if [ -t 1 ] && [ -n "$ncolors" ] && [ "$ncolors" -ge 8 ]; then
- RED="$(tput setaf 1)"
- GREEN="$(tput setaf 2)"
- YELLOW="$(tput setaf 3)"
- BLUE="$(tput setaf 4)"
- BOLD="$(tput bold)"
- NORMAL="$(tput sgr0)"
- else
- RED=""
- GREEN=""
- YELLOW=""
- BLUE=""
- BOLD=""
- NORMAL=""
- fi
+ # Use colors, but only if connected to a terminal, and that terminal
+ # supports them.
+ if command_exists tput; then
+ ncolors=$(tput colors)
+ fi
- if ! command_exists zsh; then
- printf "${YELLOW}Zsh is not installed!${NORMAL} Please install zsh first!\n"
- exit 1
- fi
+ if [ -t 1 ] && [ -n "$ncolors" ] && [ "$ncolors" -ge 8 ]; then
+ RED="$(tput setaf 1)"
+ GREEN="$(tput setaf 2)"
+ YELLOW="$(tput setaf 3)"
+ BLUE="$(tput setaf 4)"
+ BOLD="$(tput bold)"
+ NORMAL="$(tput sgr0)"
+ else
+ RED=""
+ GREEN=""
+ YELLOW=""
+ BLUE=""
+ BOLD=""
+ NORMAL=""
+ fi
- if [ ! -n "$ZSH" ]; then
- ZSH=~/.oh-my-zsh
- fi
+ if ! command_exists zsh; then
+ printf "${YELLOW}Zsh is not installed!${NORMAL} Please install zsh first!\n"
+ exit 1
+ fi
- if [ -d "$ZSH" ]; then
- printf "${YELLOW}You already have Oh My Zsh installed.${NORMAL}\n"
- printf "You'll need to remove $ZSH if you want to re-install.\n"
- exit 1
- fi
+ if [ ! -n "$ZSH" ]; then
+ ZSH=~/.oh-my-zsh
+ fi
- # Prevent the cloned repository from having insecure permissions. Failing to do
- # so causes compinit() calls to fail with "command not found: compdef" errors
- # for users with insecure umasks (e.g., "002", allowing group writability). Note
- # that this will be ignored under Cygwin by default, as Windows ACLs take
- # precedence over umasks except for filesystems mounted with option "noacl".
- umask g-w,o-w
+ if [ -d "$ZSH" ]; then
+ printf "${YELLOW}You already have Oh My Zsh installed.${NORMAL}\n"
+ printf "You'll need to remove $ZSH if you want to re-install.\n"
+ exit 1
+ fi
- printf "${BLUE}Cloning Oh My Zsh...${NORMAL}\n"
- command_exists git || {
- echo "Error: git is not installed"
- exit 1
- }
- # The Windows (MSYS) Git is not compatible with normal use on cygwin
- if [ "$OSTYPE" = cygwin ]; then
- if git --version | grep msysgit > /dev/null; then
- echo "Error: Windows/MSYS Git is not supported on Cygwin"
- echo "Error: Make sure the Cygwin git package is installed and is first on the path"
- exit 1
- fi
- fi
- env git clone --depth=1 https://github.com/robbyrussell/oh-my-zsh.git "$ZSH" || {
- printf "Error: git clone of oh-my-zsh repo failed\n"
- exit 1
- }
+ # Prevent the cloned repository from having insecure permissions. Failing to do
+ # so causes compinit() calls to fail with "command not found: compdef" errors
+ # for users with insecure umasks (e.g., "002", allowing group writability). Note
+ # that this will be ignored under Cygwin by default, as Windows ACLs take
+ # precedence over umasks except for filesystems mounted with option "noacl".
+ umask g-w,o-w
+ printf "${BLUE}Cloning Oh My Zsh...${NORMAL}\n"
+ command_exists git || {
+ echo "Error: git is not installed"
+ exit 1
+ }
+ # The Windows (MSYS) Git is not compatible with normal use on cygwin
+ if [ "$OSTYPE" = cygwin ]; then
+ if git --version | grep msysgit > /dev/null; then
+ echo "Error: Windows/MSYS Git is not supported on Cygwin"
+ echo "Error: Make sure the Cygwin git package is installed and is first on the path"
+ exit 1
+ fi
+ fi
+ env git clone --depth=1 https://github.com/robbyrussell/oh-my-zsh.git "$ZSH" || {
+ printf "Error: git clone of oh-my-zsh repo failed\n"
+ exit 1
+ }
- printf "${BLUE}Looking for an existing zsh config...${NORMAL}\n"
- if [ -f ~/.zshrc ] || [ -h ~/.zshrc ]; then
- printf "${YELLOW}Found ~/.zshrc.${NORMAL} ${GREEN}Backing up to ~/.zshrc.pre-oh-my-zsh${NORMAL}\n";
- mv ~/.zshrc ~/.zshrc.pre-oh-my-zsh;
- fi
+ printf "${BLUE}Looking for an existing zsh config...${NORMAL}\n"
+ if [ -f ~/.zshrc ] || [ -h ~/.zshrc ]; then
+ printf "${YELLOW}Found ~/.zshrc.${NORMAL} ${GREEN}Backing up to ~/.zshrc.pre-oh-my-zsh${NORMAL}\n";
+ mv ~/.zshrc ~/.zshrc.pre-oh-my-zsh;
+ fi
- printf "${BLUE}Using the Oh My Zsh template file and adding it to ~/.zshrc${NORMAL}\n"
- cp "$ZSH"/templates/zshrc.zsh-template ~/.zshrc
- sed "/^export ZSH=/ c\\
- export ZSH=\"$ZSH\"
- " ~/.zshrc > ~/.zshrc-omztemp
- mv -f ~/.zshrc-omztemp ~/.zshrc
+ printf "${BLUE}Using the Oh My Zsh template file and adding it to ~/.zshrc${NORMAL}\n"
+ cp "$ZSH/templates/zshrc.zsh-template" ~/.zshrc
+ sed "/^export ZSH=/ c\\
+export ZSH=\"$ZSH\"
+" ~/.zshrc > ~/.zshrc-omztemp
+ mv -f ~/.zshrc-omztemp ~/.zshrc
- # If this user's login shell is not already "zsh", attempt to switch.
- TEST_CURRENT_SHELL=$(basename "$SHELL")
- if [ "$TEST_CURRENT_SHELL" != "zsh" ]; then
- # If this platform provides a "chsh" command (not Cygwin), do it, man!
- if command_exists chsh; then
- printf "${BLUE}Time to change your default shell to zsh!${NORMAL}\n"
- chsh -s $(grep /zsh$ /etc/shells | tail -1)
- # Else, suggest the user do so manually.
- else
- printf "I can't change your shell automatically because this system does not have chsh.\n"
- printf "${BLUE}Please manually change your default shell to zsh!${NORMAL}\n"
- fi
- fi
+ # If this user's login shell is not already "zsh", attempt to switch.
+ TEST_CURRENT_SHELL=$(basename "$SHELL")
+ if [ "$TEST_CURRENT_SHELL" != "zsh" ]; then
+ # If this platform provides a "chsh" command (not Cygwin), do it, man!
+ if command_exists chsh; then
+ printf "${BLUE}Time to change your default shell to zsh!${NORMAL}\n"
+ chsh -s $(grep /zsh$ /etc/shells | tail -1)
+ # Else, suggest the user do so manually.
+ else
+ printf "I can't change your shell automatically because this system does not have chsh.\n"
+ printf "${BLUE}Please manually change your default shell to zsh!${NORMAL}\n"
+ fi
+ fi
- printf "${GREEN}"
- echo ' __ __ '
- echo ' ____ / /_ ____ ___ __ __ ____ _____/ /_ '
- echo ' / __ \/ __ \ / __ `__ \/ / / / /_ / / ___/ __ \ '
- echo '/ /_/ / / / / / / / / / / /_/ / / /_(__ ) / / / '
- echo '\____/_/ /_/ /_/ /_/ /_/\__, / /___/____/_/ /_/ '
- echo ' /____/ ....is now installed!'
- echo ''
- echo ''
- echo 'Please look over the ~/.zshrc file to select plugins, themes, and options.'
- echo ''
- echo 'p.s. Follow us at https://twitter.com/ohmyzsh'
- echo ''
- echo 'p.p.s. Get stickers, shirts, and coffee mugs at https://shop.planetargon.com/collections/oh-my-zsh'
- echo ''
- printf "${NORMAL}"
- env zsh -l
+ printf "${GREEN}"
+ echo ' __ __ '
+ echo ' ____ / /_ ____ ___ __ __ ____ _____/ /_ '
+ echo ' / __ \/ __ \ / __ `__ \/ / / / /_ / / ___/ __ \ '
+ echo '/ /_/ / / / / / / / / / / /_/ / / /_(__ ) / / / '
+ echo '\____/_/ /_/ /_/ /_/ /_/\__, / /___/____/_/ /_/ '
+ echo ' /____/ ....is now installed!'
+ echo ''
+ echo ''
+ echo 'Please look over the ~/.zshrc file to select plugins, themes, and options.'
+ echo ''
+ echo 'p.s. Follow us at https://twitter.com/ohmyzsh'
+ echo ''
+ echo 'p.p.s. Get stickers, shirts, and coffee mugs at https://shop.planetargon.com/collections/oh-my-zsh'
+ echo ''
+ printf "${NORMAL}"
+ env zsh -l
}
main